task fusioncatcher{
    String sample_id
    File fastq1
    File fastq2
    File database_dir
	
    String docker
    String cluster
    String disk_size

    command <<<
	
        set -o pipefail
        set -e

        mkdir ./output/

        /software/fusioncatcher/bin/fusioncatcher \
            -d ${database_dir} \
            -p 4 \
            -i ${fastq1},${fastq2} \
            --output ./output

    >>>
	
    runtime {
        docker : docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        Array[File] fusioncatcher_result=glob("./output/*.txt")
        Array[File] fusioncatcher_zip=glob("./output/*.zip")
        Array[File] fusioncatcher_log=glob("./output/*.log")
        Array[File] fusioncatcher_vcf=glob("./output/*.vcf")
    }

}


